<?php
require "bdconnect.php";

session_start();


$requete = $db->prepare("SELECT * FROM categorie");
$requete->execute();
$result=  $requete -> fetchall(PDO::FETCH_ASSOC);

$requete2 = $db->prepare("SELECT * FROM topic JOIN membre WHERE ext_membre = id_membre ORDER BY id_topic DESC LIMIT 3");
$requete2->execute();
$result2=  $requete2 -> fetchall(PDO::FETCH_ASSOC);


?>


<html>
<head>
  <meta charset="utf-8">
<meta name="viewport" content="width=device-width , initial-scale=1.0">
<title>Bebo - Forum d'aide pour jeunes parents</title>

  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" media="screen" type="text/css" title="style" href="css/style_forum.css"/>
    <script src="js/jquery.js"></script>
    <script src="js/code.js"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
    
</head>
<body>
  
<nav class="sticky-top navbar navbar-expand-lg navbar-light bg-light position-sticky">
        <a class="navbar-brand " href="#">
            <img style="width:60px;" src="img/petit_logo.png" class="img-fluid ml-2">
        </a>          
        <button class="navbar-toggler col-2" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo01" aria-controls="navbarTogglerDemo01" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
        </button>
           
            
      
  <div class="collapse navbar-collapse" id="navbarTogglerDemo01" >
    <ul class="navbar-nav mr-auto mt-lg-0">
      <li class="nav-item ml-3">
        <a class="nav-link" href="conseil.php">Conseils & astuces </a>
      </li>
      <li class="nav-item ml-3">
      <a class="nav-link" href="tableaudebord.php">Tableau de bord</a>
      </li>
      <li class="nav-item ml-3">
        <a class="nav-link" href="forum.php">Forum</a>
      </li>

    </ul>

    
  </div>
  </div>  
</nav>

    <div class="container block_forum">
      <div class="row">

            <h1 class="text-center col-12">Forum</h1>
            <div class="col-lg-8 mx-auto"><br>
              <p class="text-muted text-center">Discutez, échangez et partagez sur le forum de Bebo.</p>
              <div class="border-top my-2"></div>
            </div>

          <?php if (!isset($_SESSION['user'])){echo "<div><a href=\"connect.php\"><button style=\"position: absolute\" type=\"button\" class=\"btn btn-primary\">Se connecter </button></a></div> ";}?>

            <div class="col-12 pl-5">
                <h4 class="mb-5 mt-5 "><bold>Catégories</bold></h4>
            </div>


            <div class="row" style="width: 100%;margin-left:auto;margin-right:auto;">
              
              
              <?php foreach ($result as $val) : ?>
                <div class="col-lg-2 col-md-4 col-sm-6 col-6 text-center categorie_boite mb-md-5 mb-sm-5 mb-5 mb-lg-0">
                  <a href="categorie/categorie<?= $val["id_categorie"] ?>.php" class="text-white text-decoration-none">
                    <div class="categorie fond">
                      <img src="<?= $val["photocat"] ?>" class="img-fluid mt-2" width="80px" alt="photo <?= $val["titrecat"] ?>">
                      <h6 class="pt-3"><?= $val["titrecat"] ?></h6><br>
                    </div>
                  </a>
                </div>
              <?php endforeach ?>
              </div>

          <div class="col-12 pl-5">
            <h4 class="mb-5 mt-5 "><bold>Les topics récents</bold></h4>
          </div>
          




                 <?php foreach ($result2 as $val) : ?>
                   
                  <div class="container col-lg-8 col-xl-8 col-md-10 col-sm-10 col-11 mx-auto pb-3">
             <div class="row border rounded shadow mb-5">
                <div class="row col">
                    <div class="mt-2 col-3 ml-2 col-xl-2 ml-xl-4 col-lg-2 ml-lg-4 col-md-2 ml-md-4 col-sm-2 ml-sm-4"><img src="img/petit_logo.png" alt="photoprofil" width="80px" class="img-fluid rounded-circle"></div>              
                     <div class="col ml-2 col-xl-9  col-lg-9 col-md-9 col-sm-9">
                        <div class="row ">
                          <h6 class="text-muted font-italic mr-3 mt-4">Auteur :</h6>
                          <h6 class="font-weight-bold border-bottom text-body mt-4"><?= $val["pseudo"] ?></h6></div>
                        <div class="row mt-1 ">
                          <h6 class="text-muted mr-5 font-italic">Sujet du topic:</h6>
                          <p class="text-body"><?= $val['msgtop'] ?></p></div>
                                <div class="row ">
                                  <div class="col">
                                  <p class="text-left text-muted mt-4"><i>12 réponses</i></p></div>
                                        <form action="./topic/topic.php" name="envoieid" id="envoieid" method="get">
                                          <div style="display: none"><input name="id_membre" type="text" id="idmembre" value="<?= $val['id_membre'] ?>"><input name="id_topic" type="text" id="idmembre" value="<?= $val['id_topic'] ?>"></div>
                                          <div class="col text-right float-right"><a href="#" class="btn border text-body float-right mt-4 mb-4">Voir le topic</a></div>
                                        </form>
                                </div>
                        </div>
                  </div>
              </div>
            </div>

                <?php endforeach ?>
              </div>
            </div>


    </div>
  </div>

  <div class="footer text-white pt-1">
    <div class="row mx-auto">
        <div class="col-12 mt-5 pt-5">
            <h5 class="mx-auto text-center">Suivez-nous sur les réseaux</h5>
        </div>
        <div class="row col-lg-4 col-md-4 col-sm-4 col-5 mx-auto ">
        <div class="col-6 pt-3 text-right">
                <a href="https://www.instagram.com/bebo.officiel/">
                    <img src="img/instagram.svg" alt="instagram" class="img-fluid mx-auto" width="30px">
                </a>
        </div>
        <div class="col-6 pt-3">
                <a href="https://www.facebook.com/bebo.mmi.90">
                    <img src="img/facebook.svg" alt="facebook" class="img-fluid ml-2 text-right" width="30px">
                </a> 
        </div>
        </div>
        <div class="col-12 mt-4">
            <p class="mx-auto text-center">www.bebommi.fr</p>
        </div>
    </div>
</div>


  </body>
</html>
